<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>explicitSolve &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>explicitSolve
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.2% of total for procedures.">42 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/transportEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/transporteq.f03.html'>transportEq.f03</a></li>
    
     <li><a href='../module/transporteq.html'>transportEq</a></li>
    
  
     <li class="active">explicitSolve</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine explicitSolve(this, field)
    
    
   
</h2>
    
  


    
    <p>explicitMomentumSolve solves explicitely the target equation. It assembles the matrix, but does not call the linear solver.
Instead, It perform just a matrix-vector multiplication with the last known values of the cell centered field.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E118"></span>class(<a href='../type/transporteqn.html'>transportEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-field%7E45"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~explicitsolve~~CallsGraph Pages: 1 -->
<svg id="procexplicitsolveCallsGraph" width="216pt" height="578pt"
 viewBox="0.00 0.00 216.00 578.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~explicitsolve~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 574)">
<title>proc~~explicitsolve~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-574 212,-574 212,4 -4,4"/>
<!-- proc~explicitsolve -->
<g id="proc~~explicitsolve~~CallsGraph_node1" class="node">
<title>proc~explicitsolve</title>
<polygon fill="none" stroke="#000000" points="70,-297 0,-297 0,-273 70,-273 70,-297"/>
<text text-anchor="middle" x="35" y="-282.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">explicitSolve</text>
</g>
<!-- vecassemblybegin -->
<g id="proc~~explicitsolve~~CallsGraph_node2" class="node">
<title>vecassemblybegin</title>
<polygon fill="#777777" stroke="#777777" points="207,-570 107,-570 107,-546 207,-546 207,-570"/>
<text text-anchor="middle" x="157" y="-555.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecassemblybegin</text>
</g>
<!-- proc~explicitsolve&#45;&gt;vecassemblybegin -->
<g id="proc~~explicitsolve~~CallsGraph_edge2" class="edge">
<title>proc~explicitsolve&#45;&gt;vecassemblybegin</title>
<path fill="none" stroke="#000000" d="M36.9986,-297.2503C44.6037,-342.5548 72.9808,-499.9106 106,-537 106.8775,-537.9856 107.8082,-538.926 108.7841,-539.8231"/>
<polygon fill="#000000" stroke="#000000" points="106.8836,-542.7704 117.0096,-545.8874 111.0375,-537.1361 106.8836,-542.7704"/>
</g>
<!-- matmult -->
<g id="proc~~explicitsolve~~CallsGraph_node3" class="node">
<title>matmult</title>
<polygon fill="#777777" stroke="#777777" points="184,-528 130,-528 130,-504 184,-504 184,-528"/>
<text text-anchor="middle" x="157" y="-513.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matmult</text>
</g>
<!-- proc~explicitsolve&#45;&gt;matmult -->
<g id="proc~~explicitsolve~~CallsGraph_edge3" class="edge">
<title>proc~explicitsolve&#45;&gt;matmult</title>
<path fill="none" stroke="#000000" d="M35.6995,-297.1931C38.3592,-332.4984 50.7263,-436.0365 106,-495 110.0694,-499.3411 115.1682,-502.812 120.5569,-505.5795"/>
<polygon fill="#000000" stroke="#000000" points="119.2037,-508.8077 129.7687,-509.6022 122.0051,-502.3927 119.2037,-508.8077"/>
</g>
<!-- vecsetvalues -->
<g id="proc~~explicitsolve~~CallsGraph_node4" class="node">
<title>vecsetvalues</title>
<polygon fill="#777777" stroke="#777777" points="194,-486 120,-486 120,-462 194,-462 194,-486"/>
<text text-anchor="middle" x="157" y="-471.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecsetvalues</text>
</g>
<!-- proc~explicitsolve&#45;&gt;vecsetvalues -->
<g id="proc~~explicitsolve~~CallsGraph_edge14" class="edge">
<title>proc~explicitsolve&#45;&gt;vecsetvalues</title>
<path fill="none" stroke="#000000" d="M36.9184,-297.3514C42.2729,-327.8485 60.1135,-407.5358 106,-453 107.6027,-454.588 109.3425,-456.0616 111.1804,-457.4283"/>
<polygon fill="#000000" stroke="#000000" points="109.4081,-460.4477 119.7475,-462.7603 113.107,-454.5048 109.4081,-460.4477"/>
</g>
<!-- matsetvalue -->
<g id="proc~~explicitsolve~~CallsGraph_node5" class="node">
<title>matsetvalue</title>
<polygon fill="#777777" stroke="#777777" points="192,-444 122,-444 122,-420 192,-420 192,-444"/>
<text text-anchor="middle" x="157" y="-429.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matsetvalue</text>
</g>
<!-- proc~explicitsolve&#45;&gt;matsetvalue -->
<g id="proc~~explicitsolve~~CallsGraph_edge5" class="edge">
<title>proc~explicitsolve&#45;&gt;matsetvalue</title>
<path fill="none" stroke="#000000" d="M38.7972,-297.1469C47.1008,-321.8584 69.1354,-378.3969 106,-411 108.1854,-412.9328 110.5731,-414.703 113.0839,-416.3219"/>
<polygon fill="#000000" stroke="#000000" points="111.5378,-419.4668 121.9799,-421.2598 114.9351,-413.3464 111.5378,-419.4668"/>
</g>
<!-- matassemblybegin -->
<g id="proc~~explicitsolve~~CallsGraph_node6" class="node">
<title>matassemblybegin</title>
<polygon fill="#777777" stroke="#777777" points="208,-402 106,-402 106,-378 208,-378 208,-402"/>
<text text-anchor="middle" x="157" y="-387.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matassemblybegin</text>
</g>
<!-- proc~explicitsolve&#45;&gt;matassemblybegin -->
<g id="proc~~explicitsolve~~CallsGraph_edge6" class="edge">
<title>proc~explicitsolve&#45;&gt;matassemblybegin</title>
<path fill="none" stroke="#000000" d="M42.5195,-297.163C54.1423,-315.0808 78.07,-348.6426 106,-369 108.0651,-370.5052 110.2539,-371.9248 112.5181,-373.2602"/>
<polygon fill="#000000" stroke="#000000" points="111.0437,-376.4393 121.5233,-377.9974 114.3026,-370.2442 111.0437,-376.4393"/>
</g>
<!-- matassemblyend -->
<g id="proc~~explicitsolve~~CallsGraph_node7" class="node">
<title>matassemblyend</title>
<polygon fill="#777777" stroke="#777777" points="204,-360 110,-360 110,-336 204,-336 204,-360"/>
<text text-anchor="middle" x="157" y="-345.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matassemblyend</text>
</g>
<!-- proc~explicitsolve&#45;&gt;matassemblyend -->
<g id="proc~~explicitsolve~~CallsGraph_edge7" class="edge">
<title>proc~explicitsolve&#45;&gt;matassemblyend</title>
<path fill="none" stroke="#000000" d="M53.871,-297.1714C67.9445,-305.9977 87.7989,-317.928 106,-327 109.3235,-328.6565 112.8104,-330.2931 116.3351,-331.8778"/>
<polygon fill="#000000" stroke="#000000" points="115.0998,-335.157 125.6664,-335.9292 117.8876,-328.7361 115.0998,-335.157"/>
</g>
<!-- vecdestroy -->
<g id="proc~~explicitsolve~~CallsGraph_node8" class="node">
<title>vecdestroy</title>
<polygon fill="#777777" stroke="#777777" points="189,-318 125,-318 125,-294 189,-294 189,-318"/>
<text text-anchor="middle" x="157" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecdestroy</text>
</g>
<!-- proc~explicitsolve&#45;&gt;vecdestroy -->
<g id="proc~~explicitsolve~~CallsGraph_edge8" class="edge">
<title>proc~explicitsolve&#45;&gt;vecdestroy</title>
<path fill="none" stroke="#000000" d="M70.2875,-291.0741C84.1049,-293.4525 100.0767,-296.2017 114.5186,-298.6876"/>
<polygon fill="#000000" stroke="#000000" points="114.2626,-302.195 124.7115,-300.4421 115.4502,-295.2964 114.2626,-302.195"/>
</g>
<!-- matsetvalues -->
<g id="proc~~explicitsolve~~CallsGraph_node9" class="node">
<title>matsetvalues</title>
<polygon fill="#777777" stroke="#777777" points="195,-276 119,-276 119,-252 195,-252 195,-276"/>
<text text-anchor="middle" x="157" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matsetvalues</text>
</g>
<!-- proc~explicitsolve&#45;&gt;matsetvalues -->
<g id="proc~~explicitsolve~~CallsGraph_edge9" class="edge">
<title>proc~explicitsolve&#45;&gt;matsetvalues</title>
<path fill="none" stroke="#000000" d="M70.2875,-278.9259C82.2817,-276.8613 95.8994,-274.5173 108.7306,-272.3087"/>
<polygon fill="#000000" stroke="#000000" points="109.545,-275.72 118.8063,-270.5743 108.3575,-268.8215 109.545,-275.72"/>
</g>
<!-- matzeroentries -->
<g id="proc~~explicitsolve~~CallsGraph_node10" class="node">
<title>matzeroentries</title>
<polygon fill="#777777" stroke="#777777" points="199,-234 115,-234 115,-210 199,-210 199,-234"/>
<text text-anchor="middle" x="157" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">matzeroentries</text>
</g>
<!-- proc~explicitsolve&#45;&gt;matzeroentries -->
<g id="proc~~explicitsolve~~CallsGraph_edge13" class="edge">
<title>proc~explicitsolve&#45;&gt;matzeroentries</title>
<path fill="none" stroke="#000000" d="M53.871,-272.8286C67.9445,-264.0023 87.7989,-252.072 106,-243 109.3235,-241.3435 112.8104,-239.7069 116.3351,-238.1222"/>
<polygon fill="#000000" stroke="#000000" points="117.8876,-241.2639 125.6664,-234.0708 115.0998,-234.843 117.8876,-241.2639"/>
</g>
<!-- vecduplicate -->
<g id="proc~~explicitsolve~~CallsGraph_node11" class="node">
<title>vecduplicate</title>
<polygon fill="#777777" stroke="#777777" points="193,-192 121,-192 121,-168 193,-168 193,-192"/>
<text text-anchor="middle" x="157" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecduplicate</text>
</g>
<!-- proc~explicitsolve&#45;&gt;vecduplicate -->
<g id="proc~~explicitsolve~~CallsGraph_edge10" class="edge">
<title>proc~explicitsolve&#45;&gt;vecduplicate</title>
<path fill="none" stroke="#000000" d="M42.5195,-272.837C54.1423,-254.9192 78.07,-221.3574 106,-201 108.0651,-199.4948 110.2539,-198.0752 112.5181,-196.7398"/>
<polygon fill="#000000" stroke="#000000" points="114.3026,-199.7558 121.5233,-192.0026 111.0437,-193.5607 114.3026,-199.7558"/>
</g>
<!-- veczeroentries -->
<g id="proc~~explicitsolve~~CallsGraph_node12" class="node">
<title>veczeroentries</title>
<polygon fill="#777777" stroke="#777777" points="198,-150 116,-150 116,-126 198,-126 198,-150"/>
<text text-anchor="middle" x="157" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">veczeroentries</text>
</g>
<!-- proc~explicitsolve&#45;&gt;veczeroentries -->
<g id="proc~~explicitsolve~~CallsGraph_edge11" class="edge">
<title>proc~explicitsolve&#45;&gt;veczeroentries</title>
<path fill="none" stroke="#000000" d="M38.7972,-272.8531C47.1008,-248.1416 69.1354,-191.6031 106,-159 107.4794,-157.6916 109.0514,-156.4578 110.6916,-155.2949"/>
<polygon fill="#000000" stroke="#000000" points="112.6041,-158.2286 119.3465,-150.056 108.9793,-152.2402 112.6041,-158.2286"/>
</g>
<!-- auxnb -->
<g id="proc~~explicitsolve~~CallsGraph_node13" class="node">
<title>auxnb</title>
<polygon fill="#777777" stroke="#777777" points="184,-108 130,-108 130,-84 184,-84 184,-108"/>
<text text-anchor="middle" x="157" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">auxnb</text>
</g>
<!-- proc~explicitsolve&#45;&gt;auxnb -->
<g id="proc~~explicitsolve~~CallsGraph_edge12" class="edge">
<title>proc~explicitsolve&#45;&gt;auxnb</title>
<path fill="none" stroke="#000000" d="M36.9184,-272.6486C42.2729,-242.1515 60.1135,-162.4642 106,-117 110.0812,-112.9563 115.0509,-109.6546 120.2684,-106.9691"/>
<polygon fill="#000000" stroke="#000000" points="122.0495,-110.009 129.789,-102.7736 119.2267,-103.6033 122.0495,-110.009"/>
</g>
<!-- vecassemblyend -->
<g id="proc~~explicitsolve~~CallsGraph_node14" class="node">
<title>vecassemblyend</title>
<polygon fill="#777777" stroke="#777777" points="203,-66 111,-66 111,-42 203,-42 203,-66"/>
<text text-anchor="middle" x="157" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecassemblyend</text>
</g>
<!-- proc~explicitsolve&#45;&gt;vecassemblyend -->
<g id="proc~~explicitsolve~~CallsGraph_edge1" class="edge">
<title>proc~explicitsolve&#45;&gt;vecassemblyend</title>
<path fill="none" stroke="#000000" d="M35.6995,-272.8069C38.3592,-237.5016 50.7263,-133.9635 106,-75 107.0232,-73.9085 108.1116,-72.8719 109.2532,-71.8878"/>
<polygon fill="#000000" stroke="#000000" points="111.2764,-74.7438 117.4372,-66.1244 107.2459,-69.0206 111.2764,-74.7438"/>
</g>
<!-- vecgetvalues -->
<g id="proc~~explicitsolve~~CallsGraph_node15" class="node">
<title>vecgetvalues</title>
<polygon fill="#777777" stroke="#777777" points="194.5,-24 119.5,-24 119.5,0 194.5,0 194.5,-24"/>
<text text-anchor="middle" x="157" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecgetvalues</text>
</g>
<!-- proc~explicitsolve&#45;&gt;vecgetvalues -->
<g id="proc~~explicitsolve~~CallsGraph_edge4" class="edge">
<title>proc~explicitsolve&#45;&gt;vecgetvalues</title>
<path fill="none" stroke="#000000" d="M36.9986,-272.7497C44.6037,-227.4452 72.9808,-70.0894 106,-33 107.5002,-31.3148 109.1563,-29.762 110.9269,-28.3314"/>
<polygon fill="#000000" stroke="#000000" points="112.8753,-31.2391 119.2947,-22.8104 109.0202,-25.3962 112.8753,-31.2391"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>